Mailinglist Archive: opensuse-bugs (4794 mails)

< Previous Next >
[Bug 1012969] amavisd-new: issue with IPv6: DENIED ACCESS due to INVALID PEER IP ADDRESS
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sat, 29 Jul 2017 16:44:11 +0000
  • Message-id: <bug-1012969-21960-l9JRJ81vgS@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1012969
http://bugzilla.opensuse.org/show_bug.cgi?id=1012969#c6

Bruno Friedmann <bruno@xxxxxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
CC| |bruno@xxxxxxxxxxx
Severity|Normal |Major

--- Comment #6 from Bruno Friedmann <bruno@xxxxxxxxxxx> ---
The bug is trivial and fixed since 2013 (yeap 4 years ago)
Message + patch to apply

https://lists.amavis.org/pipermail/amavis-users/2013-September/002574.html


Could we have a maintenance urgently it has broken my upgrade 42.1 to 42.3
(due to my remove of usage of server:mail repository)

Patch is so simple

--- amavisd~ 2013-09-04 14:43:24.000000000 +0200
+++ amavisd 2013-09-05 00:54:37.000000000 +0200
@@ -5612,5 +5612,5 @@
!grep($_ > 255, @d)
or die "Invalid decimal field value in IPv6 address: [$ip]\n";
- $ipa = $2 . sprintf('%02x%02x:%02x%02x', @d);
+ $ipa = $1 . sprintf('%02x%02x:%02x%02x', @d);
} elsif (!$have_ipv6 &&
$ipa =~ m{^ \d{1,3} (?: \. \d{1,3}){0,3} \z}xs) { # IPv4
@@ -5650,5 +5650,5 @@
@ip_fields >= 8 or die "IPv6 address [$ip] contains fewer than 8 fields\n";
@ip_fields <= 8 or die "IPv6 address [$ip] contains more than 8 fields\n";
- !grep(!/^[0-9a-zA-Z]{1,4}\z/, @ip_fields) # this is quite slow
+ !grep(!/^[0-9a-fA-F]{1,4}\z/, @ip_fields) # this is quite slow
or die "Invalid syntax of IPv6 address: [$ip]\n";
my $vec = pack('n8', map(hex($_), at ip_fields));

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >